Ability to search Hosts by Parameters
05/17/2010 10:59 PM - Bash Shell
Assignee: Amos Benari
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

It would be useful to add a Search by Parameter field to the search bar
Adding these two lines in _searchbar.erb seems to do it:

diff --git a/app/views/common/_searchbar.erb b/app/views/common/_searchbar.erb
index 9labe8b..c9%9adc52 100644
—-—— a/app/views/common/_searchbar.erb
+++ b/app/views/common/_searchbar.erb
@@ -20,6 +20,8 @@
</span>
<%= f.label :hostgroup, "Role" %>
<%= f.collection_select :hostgroup_id_eq, Hostgroup.all, :id, :name, :include_blank =>

true %>
+ <%= f.label :parameter, "Parameter" %>
+ <%= f.text_field :host_parameters_name_like, :size => 10 %>
<%= render :partial => 'common/fact_selected' %>
<%= f.submit "Go" %> Save as tab: <%= text_field_tag :tab_name, "" %>

This is useful as assigning parameters to individual hosts creates "drift" and there should be a way to search for such Parameters.

Related issues:

Related to Foreman - Refactor #250: Remove activescaffold from the domain pa... Closed 05/13/2010
Follows Foreman - Feature #248: Generalise the searchbar and tabs to support ... Closed 05/13/2010
Follows Foreman - Feature #719: Add new search functionaily Closed 03/09/2011

Associated revisions

Revision e77b99e0 - 04/10/2011 03:17 PM - Ohad Levy
fixes #259 - Ability to search Hosts by Parameters

History

#1 - 05/17/2010 11:14 PM - Bash Shell
Or this:

diff --git a/app/views/common/_searchbar.erb b/app/views/common/_searchbar.erb
index 9labe8b..2534123 100644
-—— a/app/views/common/_searchbar.erb
+++ b/app/views/common/_searchbar.erb
@R -20,6 +20,8 Q@
</span>
<%= f.label :hostgroup, "Role" %>
<

o
Il

f.collection_select :hostgroup_id_eq, Hostgroup.all, :id, :name, :include_blank => true %>

+ <%= f.label :parameter, "Parameter" %>
+ <%= f.collection_select :host_parameters_name_like, Parameter.find(:all, :select => "DISTINCT name"
, :order => "name", :conditions => ['type="HostParameter"']), :name, :name, :include_blank => true %>
<%= render :partial => 'common/fact_selected' %>
<%= f.submit "Go" %> Save as tab: <%= text_field_tag :tab_name, "" %>
<% d %>

o

[0}
)

This works too, but how can | improve?

#2 - 05/18/2010 03:14 AM - Ohad Levy

@Paul, do you want to generalize your domain parameters to any type of parameters?
as we are limited with screen size (but have many options for searching) maybe we need to break down more search options, like two select drop
boxes (like with facts).

#3 - 05/30/2010 05:03 PM - Ohad Levy
- Category set to Web Interface

- Target version set to 0.1-6

#4 - 09/22/2010 10:58 AM - Paul Kelly
- Status changed from New to Pending
- Assignee set to Paul Kelly

- Branch set to feature/259-search-hosts-by-parameters

Wow have | had some problems with this one! | have generalized the GUI components that show habtm relationships, such as facts, so that they can
be added simply to search lines but there is a real problem with the host_parameters single-line selector.

There appears to be a bug in searchlogic, even in v2.4.26, where

Host.search("host_parameters_name_eq"=>"hostmode", "host_parameters_value_eq"=>"development").all.count

produces an SQL error. Just try it in the console. Ohad, maybe you can see something wrong with the declaration of the associations? | have posted
a error report on the searchlogic site and am awaiting a reply.

#5 - 09/28/2010 01:44 PM - Paul Kelly
- Status changed from Pending to Ready For Testing

The solution provided uses a workaround that ensures that a parameter based search is not combined with other searches from the search line as
this leads to SQL errors. This may or may not be acceptable Ohad, you will have to decide.

#6 - 11/07/2010 11:47 AM - Ohad Levy

Paul, can you please rebase again ?

#7 - 11/11/2010 11:20 AM - Paul Kelly

- Branch changed from feature/259-search-hosts-by-parameters to feature/259-search-hosts-by-parameters-2

rebased and tested
Note the branch name change

#8 - 11/11/2010 03:24 PM - Ohad Levy

- Target version changed from 0.1-6 to 0.2

while the patch does a pertty good job, | wont feel we should merge it just yet, pushing to the next version.

#9 - 01/24/2011 03:17 PM - Ohad Levy

paul, any chance you can rebase this one? if not, please unassign the target version

#10 - 01/28/2011 04:16 AM - Paul Kelly
- Status changed from Ready For Testing to Pending
- Target version deleted (0.2)

Rebasing this one is a nightmare. It will rewrite it sometime.

#11 - 04/11/2011 06:34 AM - Ohad Levy
- Status changed from Pending to Ready For Testing
- % Done changed from 0 to 100

05/11/2024 2/3



Applied in changeset e77b99e0267e9c459e9fca7bbc74105b0bad3840.

#12 - 04/11/2011 07:31 AM - Ohad Levy
- Assignee changed from Paul Kelly to Amos Benari

- Target version set to 0.3

#13 - 04/11/2011 07:32 AM - Ohad Levy
- Status changed from Ready For Testing to Closed

05/11/2024 3/3


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/e77b99e0267e9c459e9fca7bbc74105b0ba43840
http://www.tcpdf.org

